group "PositionIdAndVersion.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 2 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 6 locations

Content Model Diagram

Complex Content Model
positionId?, version?

Content Model Elements (2):

  positionId, | version (defined in PositionIdAndVersion.model group)

Known Usage Locations

- In definitions of global complexTypes (6):
  AssertedPosition, Position, PositionProposedMatch, PositionReference, RequestedPositions, UnprocessedPosition

Annotation
A model group that includes a position ID and an optional version.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="PositionIdAndVersion.model"> <xsd:sequence> <xsd:element minOccurs="0" name="positionId" type="PositionId"/> <xsd:element minOccurs="0" name="version" type="xsd:positiveInteger"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
positionId

  Type: | PositionId, simple content

  A version-independent identifier for the position, possibly based on trade identifier.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="positionId" type="PositionId"/>

version

  Type: | xsd:positiveInteger, predefined, simple content

  A version identifier. Version identifiers must be ascending, i.e. higher numbers imply newer versions. There is no requirement that version identifiers for a position be sequential or small, so for example timestamp-based version identifiers could be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="version" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.